RANLIB(1)

NOME
ranlib - genera l'indice in un archivio

SINTASSI
ranlib [--plugin nome] [-DhHvVt] archivio

DESCRIZIONE
ranlib genera un indice dei contenuti di un archivio e lo memorizza nell'archivio. L'indice elenca ciascun simbolo definito da un membro di un archivio che sia un file oggetto rilocabile.

Si può usare nm -s o --print-armap per elencare questo indice.

Un archivio con un tale indice velocizza il collegamento alla libreria e permette alle routine nella libreria di chiamare ciascun altra senza preoccuparsi della sua posizione nell'archivio.

Il programma GNU ranlib è un'altra forma di GNU ar; eseguire ranlib è completamente equivalente a eseguire ar -s.

OPZIONI

-h
-H
--help
    Mostra informazioni sull'uso di ranlib.

-v
-V
--version
    Mostra il numero di versione di ranlib.

-D  Opera in modalità deterministica. L'intestazione del membro dell'archivio della mappa dei simboli mostrerà zero per il UID, il GID, e la marcatura temporale. Quando viene usata quest'opzione, esecuzioni multiple produrranno file di output identici.

    Se binutils è stato configurato con --enable-deterministic-archives, questa modalità è abilitata in modo predefinito. Può essere disabilitata con l'opzione -U descritta più avanti.

-t  Aggiorna la marcatura temporale della mappa dei simboli di un archivio.

-U  Non opera in modalità deterministica. È l'inverso dell'opzione -D, vista prima: l'indice di archivio producono i valori effettivi di UID, GID, marcatura temporale, e permessi.

    Se binutils è stato configurato senza --enable-deterministic-archives, questa modalità è abilitata in modo predefinito.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), nm(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2024 Free Software Foundation, Inc.

È permesso copiare, distribuire e/o modificare questo documento nei termini della “Licenza per documentazione libera GNU” (GNU Free Documentation License), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata “Licenza per la documentazione libera GNU" (GNU Free Documentation License).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Giulio Daprelà <giulio@pluto.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.